//! ### Inputs/Outputs
//!
//! Inputs/Outputs follow [connection semantics], which are unlike assignments in software,
//! so you should read it.
//!
//! ```
//! # use fayalite::{hdl_module, int::UInt, array::Array};
//! # #[hdl_module]
//! # fn module() {
//! #[hdl]
//! let my_input: UInt<10> = m.input();
//! #[hdl]
//! let my_output: Array<[UInt<10>; 3]> = m.output();
//! # }
//! ```
//!
//! [connection semantics]: crate::_docs::semantics::connection_semantics
